from fred_api.dbreport import common_types_pb2 as _common_types_pb2
from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ListReportsReply(_message.Message):
    __slots__ = ["data"]
    class Data(_message.Message):
        __slots__ = ["reports"]
        REPORTS_FIELD_NUMBER: _ClassVar[int]
        reports: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.ReportInfo]
        def __init__(self, reports: _Optional[_Iterable[_Union[_common_types_pb2.ReportInfo, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: ListReportsReply.Data
    def __init__(self, data: _Optional[_Union[ListReportsReply.Data, _Mapping]] = ...) -> None: ...

class RunReportReply(_message.Message):
    __slots__ = ["data"]
    class Data(_message.Message):
        __slots__ = ["table"]
        TABLE_FIELD_NUMBER: _ClassVar[int]
        table: _common_types_pb2.Table
        def __init__(self, table: _Optional[_Union[_common_types_pb2.Table, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: RunReportReply.Data
    def __init__(self, data: _Optional[_Union[RunReportReply.Data, _Mapping]] = ...) -> None: ...

class RunReportRequest(_message.Message):
    __slots__ = ["arguments", "report_name"]
    ARGUMENTS_FIELD_NUMBER: _ClassVar[int]
    REPORT_NAME_FIELD_NUMBER: _ClassVar[int]
    arguments: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.JsonEncodedValue]
    report_name: _common_types_pb2.ReportName
    def __init__(self, report_name: _Optional[_Union[_common_types_pb2.ReportName, _Mapping]] = ..., arguments: _Optional[_Iterable[_Union[_common_types_pb2.JsonEncodedValue, _Mapping]]] = ...) -> None: ...
